Package org.apache.uima.collection.impl

# Class CasInitializerDescription_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.impl.ResourceCreationSpecifier_impl
org.apache.uima.collection.impl.CasInitializerDescription_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CasInitializerDescription`, `MetaDataObject`, `ResourceCreationSpecifier`, `ResourceSpecifier`, `XMLizable`

@Deprecated public class CasInitializerDescription_impl extends ResourceCreationSpecifier_impl implements CasInitializerDescription
Deprecated.
As of v2.0, CAS Initializers are deprecated.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CasInitializerDescription_impl()`
  Deprecated.
  Creates a new CasInitializerDescription_impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)`
  Deprecated.
  Overridden to set default operational properties if they are not specified in descriptor.
  `void`
  `doFullValidation(ResourceManager aResourceManager)`
  Deprecated.
  Does full validation of this `ResourceCreationSpecifier`.
  `ProcessingResourceMetaData`
  `getCasInitializerMetaData()`
  Deprecated.
  Retrieves the metadata that describes the CasInitializer.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  Deprecated.
  To be implemented by subclasses to return information describing how to represent this object in XML.

  ### Methods inherited from class org.apache.uima.resource.impl.ResourceCreationSpecifier_impl

  `checkForDuplicateParameterNames, checkForInvalidParameterOverrides, doFullValidation, getExternalResourceDependencies, getExternalResourceDependency, getFrameworkImplementation, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setFrameworkImplementation, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate, validateConfigurationParameters`

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.resource.ResourceCreationSpecifier

  `doFullValidation, getExternalResourceDependencies, getExternalResourceDependency, getFrameworkImplementation, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setFrameworkImplementation, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### CasInitializerDescription_impl

    public CasInitializerDescription_impl()
    Deprecated.
    Creates a new CasInitializerDescription_impl. Initializes the MetaData and FrameworkImplementation attributes.

- ## Method Details

  - ### getCasInitializerMetaData

    public ProcessingResourceMetaData getCasInitializerMetaData()
    Deprecated.
    Description copied from interface: `CasInitializerDescription`
    Retrieves the metadata that describes the CasInitializer.
    Specified by:
      `getCasInitializerMetaData` in interface `CasInitializerDescription`
    Returns:
      the `ProcessingResourceMetaData` object containing the CasInitializer's metadata. This object can be modified.
    See Also:
      - `CasInitializerDescription.getCasInitializerMetaData()`

  - ### doFullValidation

    public void doFullValidation(ResourceManager aResourceManager) throws ResourceInitializationException
    Deprecated.
    Description copied from interface: `ResourceCreationSpecifier`
    Does full validation of this `ResourceCreationSpecifier`. This essentially performs all operations necessary to instantiate a Resource except that it does not actually instantiate the implementation class. If appropriate, this method will also attempt to create a CAS based on the descriptor, in order to do full type system verification. If any operations fail, an exception will be thrown.
    Specified by:
      `doFullValidation` in interface `ResourceCreationSpecifier`
    Overrides:
      `doFullValidation` in class `ResourceCreationSpecifier_impl`
    Parameters:
      `aResourceManager` - a ResourceManager instance to use to load annotator classes, external resource classes, and resolve imports by name.
    Throws:
      `ResourceInitializationException` - if validation failed

  - ### buildFromXMLElement

    public void buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions) throws InvalidXMLException
    Deprecated.
    Overridden to set default operational properties if they are not specified in descriptor.
    Specified by:
      `buildFromXMLElement` in interface `XMLizable`
    Overrides:
      `buildFromXMLElement` in class `MetaDataObject_impl`
    Parameters:
      `aElement` - the XML element that represents this object.
      `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
      `aOptions` - option settings
    Throws:
      `InvalidXMLException` - if the input XML element does not specify a valid object

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Deprecated.
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Overrides:
      `getXmlizationInfo` in class `ResourceCreationSpecifier_impl`
    Returns:
      information defining this object's XML representation